Subject: bug#20871: 25.0.50; fill-single-char-nobreak-p does not recognize a single-letter word when it is preceded by an open paren

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Aug 2019 18:01:14 +0300

> From: Michał Nazarewicz <[email-masked]>
> Date: Mon, 19 Aug 2019 15:07:56 +0100
> Cc: Mattias Engdegård <[email-masked]>, [email-masked], 
> 	[email-masked]
> 
> > tildify.el explicitly says that its defaults are for a specific
> > language, so I don't think it solves the problem that bothers me, as
> > described above.  This is why I originally suggested a separate
> > function -- having that is equivalent to having an option which
> > determines a behavior that depends on the language.
> 
> To be honest, I don’t understand the issue.  If having separate
> functions is equivalent to having an option than users already have an
> option: either add the function to ‘fill-nobreak-predicate’ or not.

Yes, of course.  I wrote the above in response to your suggestion to
leave just one function.

> As discussed previously, ‘fill-single-char-nobreak-p’ and
> ‘fill-polish-nobreak-p’ and serve pretty much the same purpose.  When
> I wrote the former I had Polish typography in mind and obviously the
> latter is meant to handle the same case.  As such, having those two
> functions don’t provide much option to the user.

If both functions attempt to produce the same behavior, then yes, we
need only one.  But then wouldn't we need a second one, to produce the
behavior expected, say, in US English?

> 
> > I'm also okay with extending tildify.el to support more than just
> > Czech rules, but that's a separate issue.
> 
> The differences between Czech and Polish can largely be ignored.

I didn't mean Polish, I meant in general languages where the
conventions are different.  Surely, there are some, and tildify
explicitly assumes that.